Subject: bug#36432: 26.2; SMIE does not request forward tokens when point is at point-max

From: Sam Halliday <[email-masked]>
Date: Sat, 29 Jun 2019 14:13:16 +0100

On 29/06/2019, Eli Zaretskii <[email-masked]> wrote:
> It should be easier to modify SMIE to take characters from a string,
> then you could put whatever you want into that string.  Or maybe SMIE
> already supports reading from strings, I don't know.

I agree. SMIE should be operating on a list of tokens and a lookup
from those tokens to the original buffer (and content). In most cases
SMIE is written this way but I suspect there are a few lapses.